Categories:
  - Development
License: GPL-3.0-only
SourceCode: https://github.com/sryze/wirebug
IssueTracker: https://github.com/sryze/wirebug/issues

AutoName: Wirebug
Summary: Enables or disables debugging over Wi-Fi
Description: |-
    Allows you to enable or disable ADB debugging over TCP (i.e. Wi-Fi) from within
    the device, without having to connect it to your machine via USB.

    '''Features:'''

    * Easily turn wireless debugging on or off by flipping a switch
    * Prevent device from sleeping while debugging
    * Automatically turn off debugging on screen lock
    * Displays a status notification with Wi-Fi connection info and a stop button

RequiresRoot: 'yes'

RepoType: git
Repo: https://github.com/sryze/wirebug

Builds:
  - versionName: 0.1.3
    versionCode: 4
    commit: wirebug-0.1.3
    subdir: app
    gradle:
      - yes

  - versionName: 0.1.4
    versionCode: 5
    commit: wirebug-0.1.4
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.1
    versionCode: 7
    commit: wirebug-0.2.1
    subdir: app
    gradle:
      - yes

  - versionName: '0.3'
    versionCode: 8
    commit: wirebug-0.3
    subdir: app
    gradle:
      - yes

  - versionName: 0.3.1
    versionCode: 9
    commit: wirebug-0.3.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.4.1
    versionCode: 11
    commit: wirebug-0.4.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.4.2
    versionCode: 12
    commit: wirebug-0.4.2
    subdir: app
    gradle:
      - yes

  - versionName: 0.4.3
    versionCode: 13
    commit: wirebug-0.4.3
    subdir: app
    gradle:
      - yes

  - versionName: '0.5'
    versionCode: 14
    commit: wirebug-0.5
    subdir: app
    gradle:
      - yes

  - versionName: 0.5.1
    versionCode: 15
    commit: wirebug-0.5.1
    subdir: app
    gradle:
      - yes

  - versionName: '0.6'
    versionCode: 16
    commit: wirebug-0.6
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.1
    versionCode: 101
    commit: wirebug-1.0.1
    subdir: app
    gradle:
      - yes

AutoUpdateMode: Version wirebug-%v
UpdateCheckMode: Tags
CurrentVersion: 1.0.1
CurrentVersionCode: 101
